Name:		usbsoftrock
Version:	1.0.2
Release:	17%{?dist}
Summary:	Command line utility for interfacing with Si570 based SDR kits

License:	GPLv2+
URL:		http://code.google.com/p/usbsoftrock
Source0:	http://usbsoftrock.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:	%{name}-rules-usb

BuildRequires:  gcc
BuildRequires:	libusb-devel, ncurses-devel

%description
Simple program which accepts convenient command line options
(e.g., frequencies in MHz), speaks the DG8SAQ USB protocol, understands
the Si570. It supports advanced firmware (that allows calculation of the
registers) and features such as BPF selection and smooth tuning in Fred
PE0FKO's firmware.


%prep
%setup -q
chmod -x usbsoftrock.c


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}/lib/udev/rules.d
install -p -m 644 %{SOURCE1} %{buildroot}/lib/udev/rules.d/99-%{name}.rules



%files
%doc AUTHORS ChangeLog COPYING README THANKS
/lib/udev/rules.d/99-%{name}.rules
%{_bindir}/%{name}



%changelog
* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 06 2012 Lucian Langa <cooly@gnome.eu.org> - 1.0.2-4
- update package to comply to fedora packaging guidelines

* Mon Jul 23 2012 Lucian Langa <cooly@gnome.eu.org> - 1.0.2-3
- update package to comply to fedora packaging guidelines

* Fri May 04 2012 Lucian Langa <cooly@gnome.eu.org> - 1.0.2-2
- update package to comply to fedora packaging guidelines

* Fri Nov 04 2011 Lucian Langa <cooly@gnome.eu.org> - 1.0.2-1
- initial spec file
